List branches
GET
/v1/disks/{disk}/branchesGET
/v1/disks/{disk}/branches
const url = 'https://api.wabe.sh/v1/disks/demo/branches';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.wabe.sh/v1/disks/demo/branches \ --header 'Authorization: Bearer <token>'List the filesystem branches on a disk. Use a branch name in the branch query parameter to select it for file or execution requests.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”disk
required
string
Example
demoProject disk name, or the disk ID in the actor runtime disk URL.
Responses
Section titled “Responses”One JSON record per branch, separated by newlines.
Media typeapplication/x-ndjson
string
Example
{"id":"8ec08f61-c6b4-4f3a-83e9-d46ae3e5bc30","name":"main","root_directory_id":"7c8fd44b-019f-4a0c-94bf-627a04d5d07f","revision":0,"base_commit":null,"head_commit":null}Invalid input.
Media typetext/plain
string
Missing, invalid or revoked project API key, or an invalid runtime access token.
Media typeapplication/json
object
error
required
string
message
required
string
Actor runtime token does not authorize this disk or instance generation.
Media typeapplication/json
object
error
required
string
message
required
string
Object was not found.
Media typetext/plain
string
Conflict, nonempty destination or referenced object.
Media typetext/plain
string
Storage, I/O or corruption failure.
Media typetext/plain
string
Disk unavailable.
Media typeapplication/json
object
error
required
string
message
required
string